For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Introduction
    • Getting Started
    • Authentication
  • Guide
    • Common Code Patterns
    • Metrics
    • Glossary of Metrics
  • Data
  • Deal Management
      • GETGroup By Account
      • POSTCreate Group
      • GETGroups
      • GETSearch
      • POSTBatch Lookup Groups
      • POSTPublish Message
      • GETGroup
      • PUTUpdate Group
      • DELDelete Group
      • GETGroup Users
      • GETSearch Group Users
      • POSTUpload Group Avatar
      • PUTSet User Group Role
      • DELRemove User From Group
  • AI
  • User
    • POSTClient Access Token
  • Liveblocks
    • POSTGet Liveblocks Token
  • user_file
    • GETList User Files
    • POSTUpload User File
    • POSTNotify Submission
    • GETDownload User File
    • DELDelete User File
LogoLogo
Deal ManagementGroup

Update Group

PUT
/api/v1/group/:group_id
PUT
/api/v1/group/:group_id
$curl -X PUT https://app.termina.ai/api/v1/group/1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "name": "string",
3 "account": "example.com",
4 "id": 1,
5 "account_manager": {
6 "name": "string",
7 "email": "string",
8 "id": 1,
9 "api_key_final_characters": "string",
10 "thumbnail_url": "string",
11 "created_at": "2024-01-15T09:30:00Z",
12 "updated_at": "2024-01-15T09:30:00Z",
13 "is_archived": true,
14 "super_user": true
15 },
16 "user_count": 1,
17 "deal_count": 1,
18 "users": [
19 {
20 "id": 1,
21 "name": "string",
22 "email": "string",
23 "thumbnail_url": "string",
24 "role": "admin",
25 "super_user": false
26 }
27 ],
28 "thumbnail_url": "string",
29 "analysis_email": "string",
30 "data_api_access": true,
31 "created_at": "2024-01-15T09:30:00Z",
32 "updated_at": "2024-01-15T09:30:00Z",
33 "is_archived": true
34}
Update a group. The account, API access, analysis email, and account manager fields can only be modified by administrators.
Was this page helpful?
Previous

Delete Group

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

group_idintegerRequired

Request

This endpoint expects an object.
namestring or nullOptional
accountstring or nullOptional
The account of the group. Must be a valid domain, URL, or email. The account will be normalized to a canonical form.
thumbnail_urlstring or nullOptional<=2048 characters
The thumbnail URL of the group
analysis_emailstring or nullOptional
The email address for analysis to be sent to
data_api_accessboolean or nullOptional
Whether the group has access to the data API
account_manager_idinteger or nullOptional

Response

Successful Response
namestring
The name of the group
accountstring
The account of the group. Must be a valid domain, URL, or email. The account will be normalized to a canonical form.
idinteger
account_managerobject or null
user_countinteger or null
deal_countinteger or null
userslist of objects or null
thumbnail_urlstring or null<=2048 characters
The thumbnail URL of the group
analysis_emailstring or null
The email address for analysis to be sent to
data_api_accessboolean or null
Whether the group has access to the data API
created_atstringformat: "date-time"
updated_atstring or nullformat: "date-time"
is_archivedboolean or null

Errors

422
Unprocessable Entity Error